MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0028400Open CASCADE[OCCT] OCCT:Visualizationpublic2017-01-27 18:032017-09-29 16:24
Reporterkgv 
Assigned Toapn 
PrioritynormalSeverityintegration request 
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version 
Target Version[OCCT] 7.2.0Fixed in Version[OCCT] 7.2.0 
Summary0028400: Visualization, Graphic3d_MaterialAspect - remove undocumented and unsupported flag EnvReflexion()
DescriptionGraphic3d_MaterialAspect::EnvReflexion() is undocumented and implies weird rendering pipeline within TKOpenGl. It is suggested removing this flag.
Steps To ReproduceN/A
TagsNo tags attached.
Test case numberNot needed
Attached Files

- Relationships
related to 0027925closedbugmaster Visualization - implement order-independent transparency algorithm within rasterization rendering 

-  Notes
(0063148)
git (administrator)
2017-01-27 18:16

Branch CR28400 has been created by kgv.

SHA-1: 3616ca4476abd0df084d7e38b4aaeb3c4fb84be6


Detailed log of new commits:

Author: kgv
Date: Fri Jan 27 18:16:50 2017 +0300

    0028400: Visualization, Graphic3d_MaterialAspect - remove undocumented and unsupported flag EnvReflexion()
(0063154)
kgv (developer)
2017-01-27 18:48

Patch is ready for review.
(0063159)
san (developer)
2017-01-27 20:09

Branch CR28400 reviewed in occt and occt-products without remarks, ready for testing.

NOTE: It is mandatory to test the SSP sample operation with this patch!
(0063319)
mkv (tester)
2017-02-01 18:32

Dear BugMaster,
Branch CR28400 from occt git-repository (and CR28400 from products git-repository) was compiled on Linux, MacOS and Windows platforms and tested on Release mode.
SHA-1: 3616ca4476abd0df084d7e38b4aaeb3c4fb84be6
SHA-1: d1fa65feba39bac23e1158ce2b176d2422e43515

Number of compiler warnings:

occt component :
Linux: 0 (0 on master)
Windows: 0 (0 on master)
MacOS : 0 (0 on master)

products component :
Linux: 63 (63 on master)
Windows: 0 (0 on master)
MacOS : 1144

Regressions/Differences/Improvements:
No regressions/differences

Testing cases:
Not needed

Testing on Linux:
occt component :
Total MEMORY difference: 92321534 / 92295997 [+0.03%]
Total CPU difference: 19968.24000000023 / 19914.170000000217 [+0.27%]
products component :
Total MEMORY difference: 31457210 / 31477908 [-0.07%]
Total CPU difference: 5606.739999999979 / 5544.959999999981 [+1.11%]

Testing on Windows:
occt component :
Total MEMORY difference: 57621227 / 57618048 [+0.01%]
Total CPU difference: 18775.890357498454 / 18683.178963198647 [+0.50%]
products component :
Total MEMORY difference: 22659012 / 22621210 [+0.17%]
Total CPU difference: 5599.687095199988 / 5570.546108399986 [+0.52%]

There are no differences in images found by testdiff.
(0063320)
mkv (tester)
2017-02-01 18:32

Dear BugMaster,
SSP sample is TESTED.
(0063321)
mkv (tester)
2017-02-01 18:33

Dear BugMaster,
Branch CR28400 from occt git-repository and CR28400 from products git-repository are TESTED.
(0063630)
git (administrator)
2017-02-08 11:36

Branch CR28400 has been deleted by kgv.

SHA-1: 3616ca4476abd0df084d7e38b4aaeb3c4fb84be6

- Related Changesets
occt: master 1a0dfc1b
Timestamp: 2017-01-27 15:16:50
Author: kgv
Committer: apn
Details ] Diff ]
0028400: Visualization, Graphic3d_MaterialAspect - remove undocumented and unsupported flag EnvReflexion()
mod - src/Graphic3d/Graphic3d_MaterialAspect.cxx Diff ] File ]
mod - src/Graphic3d/Graphic3d_MaterialAspect.hxx Diff ] File ]
mod - src/OpenGl/FILES Diff ] File ]
mod - src/OpenGl/OpenGl_Context.cxx Diff ] File ]
mod - src/OpenGl/OpenGl_Context.hxx Diff ] File ]
rm - src/OpenGl/OpenGl_NamedStatus.hxx Diff ] File ]
mod - src/OpenGl/OpenGl_View_Redraw.cxx Diff ] File ]
mod - src/OpenGl/OpenGl_Workspace.cxx Diff ] File ]
mod - src/OpenGl/OpenGl_Workspace.hxx Diff ] File ]

- Issue History
Date Modified Username Field Change
2017-01-27 18:03 kgv New Issue
2017-01-27 18:03 kgv Assigned To => kgv
2017-01-27 18:16 git Note Added: 0063148
2017-01-27 18:17 kgv Relationship added related to 0027925
2017-01-27 18:48 kgv Note Added: 0063154
2017-01-27 18:48 kgv Assigned To kgv => san
2017-01-27 18:48 kgv Status new => resolved
2017-01-27 20:09 san Note Added: 0063159
2017-01-27 20:09 san Assigned To san => bugmaster
2017-01-27 20:09 san Status resolved => reviewed
2017-01-30 12:20 apv Assigned To bugmaster => apv
2017-01-30 19:00 apv Assigned To apv => mkv
2017-02-01 18:32 mkv Note Added: 0063319
2017-02-01 18:32 mkv Note Added: 0063320
2017-02-01 18:33 mkv Note Added: 0063321
2017-02-01 18:33 mkv Assigned To mkv => bugmaster
2017-02-01 18:33 mkv Status reviewed => tested
2017-02-01 18:33 mkv Test case number => Not needed
2017-02-03 16:52 apn Changeset attached => occt master 1a0dfc1b
2017-02-03 16:52 apn Assigned To bugmaster => apn
2017-02-03 16:52 apn Status tested => verified
2017-02-03 16:52 apn Resolution open => fixed
2017-02-08 11:36 git Note Added: 0063630
2017-09-29 16:21 user533 Fixed in Version => 7.2.0
2017-09-29 16:24 user533 Status verified => closed


Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker